<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
           elementFormDefault="qualified"
		   xmlns:base="http://www.h3c.com/netconf/base:1.0"
		   xmlns="http://www.h3c.com/netconf/action:1.0"
		   xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"/>
  <xs:complexType name="VRFType">
    <xs:simpleContent>
      <xs:restriction base="base:String">
        <xs:minLength value="1"></xs:minLength>
        <xs:maxLength value="31"></xs:maxLength>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="PortType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value="1"/>
        <xs:maxInclusive value="65535"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="HostIpType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value="0"></xs:minInclusive>
        <xs:maxInclusive value="2"></xs:maxInclusive>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:complexType name="ServerStateType">
    <xs:simpleContent>
      <xs:restriction base="base:UnsignedInteger32">
        <xs:minInclusive value="0"/>
        <xs:maxInclusive value="1"/>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>
  <xs:element name="Radius">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="AuthServerState">
          <xs:complexType>
            <xs:all>
              <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="IpType" type="HostIpType" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="Host" type="base:OctectString" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="Port" type="PortType" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="State" type="ServerStateType" minOccurs="0" nillable="false">
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="AcctServerState">
          <xs:complexType>
            <xs:all>
              <xs:element name="VRF" type="VRFType" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="IpType" type="HostIpType" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="Host" type="base:OctectString" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="Port" type="PortType" minOccurs="0" nillable="true"></xs:element>
              <xs:element name="State" type="ServerStateType" minOccurs="0" nillable="false"></xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="CleanAllSatistic">
          <xs:complexType>
            <xs:all>
              <xs:element name="Clear" type="xs:string" fixed=""></xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
